hsqldb19 cws will be postponed again?

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

hsqldb19 cws will be postponed again?

Reizinger Zoltán
Hi Ocke,
Until now the hsqldb19 was not finished and not integrated into DEV300.
The branch off will be in near future for OOo 3.4 this means the
hsqldb19 will not be integrated and consequently the OOo 3.4 will
support hsqldb 1.8.
I know that the hsqldb 2.1 will next stable release and not finished
until now.
We face same situation when hsqldb 2.0.0 was issued in wrong time for
OOo 3.3 integration.
If we wait allways for nexr stable rellease of hsqldb, the 2.x version
will never integrated :(
Could we do some thing to avoid this?
Thanks,
Zoltan

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: hsqldb19 cws will be postponed again?

Ocke Janssen-2
Moin Zoltán,


On 15.02.2011 12:35, Reizinger Zoltán wrote:
> Hi Ocke,
> Until now the hsqldb19 was not finished and not integrated into DEV300.
> The branch off will be in near future for OOo 3.4 this means the
> hsqldb19 will not be integrated and consequently the OOo 3.4 will
> support hsqldb 1.8.
Yes, that's right.
> I know that the hsqldb 2.1 will next stable release and not finished
> until now.
Fred (hsqldb) told me that it would be better to switch to the 2.1.
> We face same situation when hsqldb 2.0.0 was issued in wrong time for
> OOo 3.3 integration.
> If we wait allways for nexr stable rellease of hsqldb, the 2.x version
> will never integrated :(
> Could we do some thing to avoid this?
Yes, as consequence we should first switch to a new release when the
release is finished. And not make any suggestions in which version that
will be integrated. When the first GA exists for hsqldb 2.1 I'll
integrate that into hsqldb19 and push a new build on qa-upload.

Sorry.

Best regards,

Ocke

> Thanks,
> Zoltan
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: hsqldb19 cws will be postponed again?

Caolán McNamara
On Tue, 2011-02-15 at 13:09 +0100, Ocke Janssen wrote:
> When the first GA exists for hsqldb 2.1 I'll integrate that

Later versions of hsqldb change the file format right ?, so won't be
able to open new hsqldb .odf's in older OOos versions ?

C.


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: hsqldb19 cws will be postponed again?

Reizinger Zoltán
2011.02.15. 13:18 keltezéssel, Caolán McNamara írta:
> On Tue, 2011-02-15 at 13:09 +0100, Ocke Janssen wrote:
>> When the first GA exists for hsqldb 2.1 I'll integrate that
> Later versions of hsqldb change the file format right ?, so won't be
> able to open new hsqldb .odf's in older OOos versions ?
Yes.
The new version of hsqldb will convert to new format, and consequently
this new odb file could not work in older versions of OOo and in all
derived applications as LibO.

You could open it in old versions, but when clicks on Table pane,
warning shows up, that the file created in newer version of OOo, this
warning mechanism was introduced in OOo 3.2.1 and works in newer
versions, too.
Zoltan

> C.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: hsqldb19 cws will be postponed again?

Alexander Thurgood
Le 15/02/11 14:39, Reizinger Zoltán a écrit :

Hi Zoltan,


> You could open it in old versions, but when clicks on Table pane,
> warning shows up, that the file created in newer version of OOo, this
> warning mechanism was introduced in OOo 3.2.1 and works in newer
> versions, too.
> Zoltan


This message already occurs in certain circumstances - there are
confirmed reports of people being unable to open ODB files in 3.3.0 that
they used to open in 3.1 or 3.2. If the manifest.xml files are studied,
then there is effectively a version difference in the HSQLDB engine.


Alex


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: hsqldb19 cws will be postponed again?

Reizinger Zoltán
Hi Alex,

2011.02.15. 14:47 keltezéssel, Alexander Thurgood írta:

> Le 15/02/11 14:39, Reizinger Zoltán a écrit :
>
> Hi Zoltan,
>> You could open it in old versions, but when clicks on Table pane,
>> warning shows up, that the file created in newer version of OOo, this
>> warning mechanism was introduced in OOo 3.2.1 and works in newer
>> versions, too.
>> Zoltan
> This message already occurs in certain circumstances - there are
> confirmed reports of people being unable to open ODB files in 3.3.0 that
> they used to open in 3.1 or 3.2. If the manifest.xml files are studied,
> then there is effectively a version difference in the HSQLDB engine.
Some linux distros package latest hsqldb version (now 1.8.1.3), this
version contain only small bugfixes,  the OOo  3.3 included 1.8.0.10
version, newer version never tested.
This initiate same warning in system/OOo not updated to this version.
They could not use odb file in other versions of OOo with default
hsqldb, if opened it in newewer and made some changes in table data.
Only a workaround exist, rename odb file which not works in new version
to zip, unpack it to somewhere,  open from /database  folder the
database/properties file.
Needs to change the row from version=1.8.1 to version=1.8.0
Repack, rename back to odb the extension.

Zoltan
>
> Alex
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]